Skip to main content

GET /gpdomains/v2/aggregated/counts

GET 

gpdomains/v2/aggregated/counts

Counts domains with a spam rate above 0.1% and a delivery-error count in the requested date range

Query Parameters​

stats_date_from string Required
Start date for filtering statistics. Use date-time without timezone because Google Postmaster records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-07-06T00:00:00.000Z. Do not send timezone offsets

stats_date_to string Required
End date for filtering statistics. Use date-time without timezone because Google Postmaster records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-08-06T00:00:00.000Z. Do not send timezone offsets. The difference between stats_date_from and stats_date_to must not exceed 30 days

domain string
Filter Google Postmaster v2 domains by a domain name substring

profile_id string
Filter Google Postmaster v2 domains by profile ID

compliance string
Filter by domain compliance status. Accepts a comma-separated string or JSON array of values.

Returns

  • dataobject
    • domains_with_high_spam_rateinteger
      Domains with at least one spam rate greater than 0.1% in the requested range
    • domains_with_delivery_errorsinteger
      Domains with at least one delivery-error count greater than 1 in the requested range
    • total_delivery_errorsinteger
      Sum of all delivery-error counts in the requested range
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error